Narzędzie diagnostyczne DirectX

Dokumentacja programu Narzędzie diagnostyczne DirectX® firmy Microsoft® zawiera następujące tematy:

  • Informacje o narzędziu diagnostycznym DirectX
  • Co sprawdzić
  • Testowanie składników DirectX
  • Zastępowanie domyślnego sposobu działania
  • Przywracanie sterowników
  • Zapisywanie informacji
  • Zgłaszanie problemów


Informacje o narzędziu diagnostycznym DirectX

Narzędzie diagnostyczne DirectX® podaje informacje o składnikach interfejsu programowania aplikacji Microsoft® DirectX i sterownikach zainstalowanych w systemie oraz umożliwia przetestowanie efektów dźwiękowych i graficznych oraz sprawdzenie działania usług DirectPlay®. Umożliwia także wyłączenie niektórych opcji akceleracji sprzętowej.

Można użyć tego narzędzia do zebrania informacji, których podanie jest wymagane przy zgłaszaniu problemów do pomocy technicznej. Zebrane informacje można też zapisać i wkleic do wiadomości e-mail.

Informacje przedstawiane są na kilku stronach. Można wyświetlać wybrane strony za pomocą jednej z następujących metod:

  • Klikając karty.
  • Klikając przycisk Następna strona.
  • Naciskając klawisz strzałki w lewo lub strzałki w prawo w momencie, gdy karta ma fokus.

Uwaga Pewne informacje, takie jak na przykład wielkość pamięci na karcie graficznej, mogą być podane w przybliżeniu.


Co sprawdzić

Jeśli podczas uruchamiania aplikacji DirectX pojawiają się problemy, narzędzie diagnostyczne DirectX może pomóc w odszukaniu źródła tych problemów. Poniżej przestawiona jest lista elementów, które należy sprawdzić:

  • Niewłaściwa wersja składnika DirectX. W sekcji Uwagi strony Pliki DirectX należy sprawdzić, czy są ostrzeżenia dotyczące plików beta lub plików dla debugera. Pliki beta są to wczesne wersje oprogramowania, przeznaczone do celów testowych i nie powinny być instalowane w aplikacjach gotowych do sprzedaży. Wersje plików przygotowane dla debugera są wykorzystywane w fazie tworzenia programów i, podobnie jak wersje beta, nie powinny być instalowane w programach przeznaczonych na rynek, ponieważ mogą powodować wolniejsze działanie programów niż w przypadku programów przygotowanych za pomocą składników przeznaczonych do sprzedaży.
  • Sterowniki bez certyfikatów. Na liście plików znajdującej się na stronie Sterowniki DirectX należy odszukać nazwy sterowników, które są zaznaczone jako nie posiadające certyfikatu. Informacje o pozostałych problemach mogą być wyświetlone w sekcji Uwagi na stronach Ekran, Dźwięk i Wejście. Sterowniki, które nie mają certyfikatów, nie zostały przetestowane przez firmę Microsoft pod kątem pełnej zgodności z najnowszymi wersjami DirectX.
  • Brak akceleracji sprzętowej. Niektóre programy mogą działać bardzo powoli lub nie działać wcale, dopóki nie będzie włączona akceleracja sprzętowa DirectDraw® lub Direct3D®. Należy na stronie Ekran w sekcji Funkcje DirectX zobaczyć, czy opcje DirectDraw lub Direct3D nie są przypadkiem zaznaczone jako "Brak akceleracji sprzętowej". Jeśli obok tych opcji znajduje się taki znacznik, oznacza to, że trzeba zastanowić się nad wymianą sprzętu na nowocześniejszy.
  • Urządzenie nie jest przyłączone. Jeśli joystick lub inne urządzenie wejściowe nie działa, to bardzo możliwe że zostało niepoprawnie skonfigurowane. Należy upewnić się, czy nazwa tego urządzenia znajduje się na stronie Wejście narzędzia diagnostycznego DirectX. Jeśli nie, trzeba to urządzenie zainstalować w systemie za pomocą Panelu sterowania.


Testowanie składników DirectX

Można testować składniki DirectDraw i Direct3D na każdym monitorze dołączonym do systemu, składnik DirectSound® na każdej karcie dźwiękowej, natomiast DirectMusic™ na każdym porcie muzycznym.

W tym celu kliknij przycisk Test, przeczytaj komunikaty, jeśli się pojawią i obserwuj lub wysłuchaj efektów. Każdy test powinien przebiegać aż do momentu pojawienia się pytania o to, czy wypadł pozytywnie. Jeśli odpowiedzią będzie Nie, to nie będą uruchomione żadne następne testy.

W przypadku składnika DirectMusic, jest to pojedynczy test. Wystarczy kliknąć przycisk OK, gdy sposób odtwarzania muzyki, poprawnie lub niepoprawnie, jest satysfakcjonujący.

Można także sprawdzić działanie składnika DirectPlay dla dostępnego usługodawcy.

Aby przetestować DirectPlay:

  1. Na stronie Sieć kliknij przycisk Test DirectPlay. W oknie dialogowym Test DirectPlay wpisz nazwę użytkownika i wybierz usługodawcę. Zaznacz pozycję Utwórz nową sesję i kliknij przycisk OK. Jeśli wybierasz połączenie modemowe, kliknij przycisk Odpowiedź w oknie dialogowym Połączenie modemowe, aby przełączyć modem do trybu autoodpowiedzi.
  2. Teraz uruchom Narzędzie diagnostyczne DirectX na drugim komputerze, który może ustanowić wybrane połączenie z pierwszym komputerem. Kliknij przycisk Test DirectPlay, wpisz inną nazwę użytkownika, wybierz tego samego usługodawcę, wybierz przycisk Dołącz do istniejącej sesji i kliknij przycisk OK. Dla pewnych typów połączeń może pojawić się pytanie o dodatkowe informacje, takie jak numer telefonu. Dla połączeń TCP/IP w sieci lokalnej, pole to może pozostać puste.
  3. Teraz należy sprawdzić Listę sesji na drugim komputerze zawierajaćym nazwę sesji utworzonej na pierwszym komputerze. Zaznacz nazwę sesji i kliknij przycisk OK.
  4. Na obu komputerach powinno pojawić się okno dialogowe rozmowy. Wpisz wiadomość w polu na pierwszym komputerze i kliknij przycisk Wyślij. Wiadomość powinna pojawić się w przewijanym obszarze okna dialogowego rozmowy na obu komputerach.


Overriding Default Behavior

Zmienianie domyślnego sposobu działania

Na stronie Dźwięk można ustawić inny poziom akceleracji sprzętowej, przesuwając suwak. Poziom ten obowiązuje po zamknięciu Narzędzia diagnsotycznego DirectX.

Uwaga Funkcja ta nie jest dostępna w systemie Windows® 95.

Klikając przycisk Wyłącz na stronie Ekran dla każdej karty graficznej zainstalowanej w systemie, można wyłączyć akcelerację sprzętową dla DirectDraw i Direct3D (jeśli taka akceleracja jest dostępna). Po wyłączeniu akceleracji sprzętowej pozostaje ona wyłączone nawet po zamknięciu narzędzia diagnostycznego DirectX i pozostaje wyłączona również dla wszystkich innych aplikacji. Aby włączyć ją ponownie, należy kliknąć przycisk Włącz.

Uwaga Wyłączenie akceleracji dla DirectDraw powoduje równoczesne wyłączenie akceleracji dla Direct3D.

Można również zastąpić częstość odświeżania monitora ustawioną przez pełnoekranowe aplikacje DirectDraw. Powinno się to jednak robić tylko wtedy, gdy spodziewane jest wystąpienie kłopotów z wyświetlaniem w przypadku niektórych aplikacji i mamy solidne powody przypuszczać, że aplikacja ustawiła nieprawidłową częstość odświeżania.

Aby ustawić nową częstość odświeżania:

  1. Na stronie Więcej pomocy kliknij przycisk Zastąp.
  2. W oknie dialgowym Zmienianie zachowania funkcji odświeżania DirectDraw zaznacz pole edycji i wpisz dla monitora poprawną wartość. Po wykonaniu tej czynności zostanie automatycznie wybrany przycisk opcji Wartość zastępcza.
  3. Kliknij przycisk OK.

Aby usunąć zastępowanie szybkości odświeżania i zezwolić aplikacjom DirectDraw na ustawianie własnej wartość szybkości odświeżania

  1. Na stronie Więcej pomocy kliknij przycisk Zastąp.
  2. W oknie dialogowym Zmienianie zachowania funkcji odświeżania DirectDraw wybierz przycisk opcji Domyślna.
  3. Kliknij przycisk OK.


Restoring Drivers

Przywracanie sterowników

W niektórych konfiguracjach narzędzie diagnostyczne DirectX® umożliwia przywrócenie starszych wersji sterowników dźwięku i wideo. Może to być najlepszy sposób na rozwiązanie problemu niezgodności sterowników.

Jeśli na stronie Więcej pomocy pojawia się przycisk Przywróć, można go kliknąć, aby uruchomić Instalatora programu DirectX.

Instalator programu DirectX ma dwa przyciski o nazwach Przywróć sterowniki audio oraz Przywróć sterowniki ekranu. Kliknięcie jednego z tych przycisków, przywróci sterowniki, które zostały zamienione podczas instalacji programu DirectX w systemie. Jeśli przycisk nie jest dostępny, może nie być starszych wersji sterowników, które można by przywrócić. W takim wypadku należy skontaktować się z producentem sprzętu w sprawie uzyskania nowych sterowników.

Instalator programu DirectX zawiera także pole wyboru umożliwiające wyłączenie akceleracji sprzętowej D3D, co można było zrobić w programie DxDiag. (Zobacz Zmienianie domyślnego sposobu działania.)


Saving Information

Zapisywanie informacji

Są dwa sposoby zapisania informacji zebranych przez narzędzie diagnostyczne DirectX:

  • Kliknij przycisk Zapisz wszystkie informacje. Informacje znajdujące się na wszystkich stronach zostaną zapisane w pliku, którego nazwa i lokalizacja zostaną wprowadzone.

Programiści, którzy mają wersję tego narzędzia przeznaczoną dla programistów mogą:

  • Na stronie Więcej pomocy kliknąć przycisk Raportuj. Pojawi się okno dialogowe Informacje raportu o usterce. Po wpisaniu wszystkich niezbędnych danych należy kliknąć przycisk Wyślij. W katalogu tymczasowym (na przykład C:\Windows\Temp) zostanie utworzony plik o nazwie Dxinfo.txt a jego zawartość pojawi się w oknie Notatnika. W tym pliku znajdą się te same informacje, które można uzyskać poprzednio opisanymi metodami, lecz oprócz tego zawierają informacje osobiste oraz inne wprowadzone przez użytkownika informacje.


Reporting Problems

Zgłaszanie problemów

Jeśli napotkasz problem, co do którego masz pewność, że związany jest ze sterownikami lub składnikami DirectX, wówczas możesz skontaktować się z Pomocą Techniczną Microsoft (zobacz punkt Rozwiązywanie problemów w Pomocy Microsoft® Windows®). Jeśli tworzysz oprogramowanie i masz profesjonalną wersję narzędzia diagnostycznego, możesz wysłać raport o błędzie za pomocą poczty elektronicznej.

Uwaga Zamieszczone poniżej instrukcje dotyczą tylko wersji profesjonalnej tego programu. Opcje te nie są dostępne dla wszystkich użytkowników.

Aby zgłosić problem za pomocą poczty e-mail:

  1. Kliknij przycisk Raportuj na stronie Więcej pomocy.
  2. Wypełnij odpowiednie sekcje okna dialogowego Informacje raportu o usterce, a następnie kliknij przycisk Wyślij.
  3. Pojawi się okno komunikatu z informacją o ścieżce do utworzonego przed chwilą pliku tekstowego oraz adres poczty elektronicznej. Zwróć uwagę na adres e-mail. Kliknij przycisk OK. Pojawi się Notatnik z wyświetloną zawartością pliku Dxinfo.txt.
  4. W menu Edycja Notatnika wybierz polecenie Zaznacz wszystko, a następnie polecenie Kopiuj, aby umieścić całą zawartość pliku w schowku.
  5. W programie poczty elektronicznej utwórz nową wiadomość i wklej zawartość schowka do treści wiadomości. Wyślij ten komunikat pod adresem podanym w kroku 3.


Temat nie został znaleziony

Nie znaleziono odpowiadającego tematu. Możliwe przyczyny i sposoby rozwiązania problemu są następujące:

  • Plik (.chm) zawierający temat docelowy nie znajduje sie w oczekiwanym miejscu.

    Sposób rozwiązania problemu: Uruchom ponownie instalatora biblioteki MSDN Library.

  • Plik (.chm) zawierający temat bieżący lub temat docelowy jest nieaktualny lub łacza nie są poprawne.

    Sposób rozwiązania problemu: Zainstaluj najnowszą wersję biblioteki MSDN Library.

  • Dysk CD-ROM biblioteki MSDN Library nie znajduje się w stacji CD-ROM.

    Sposób rozwiązania problemu: Włóż dysk CD-ROM biblioteki MSDN Library do stacji CD-ROM.

Utworzono w czwartek, 29 lipica , 1999